Ask Your Question
3

Install of ros-fuerte-camera1394 fails on Ubuntu 12.04

asked 2012-05-16 07:23:54 -0600

StFS gravatar image

updated 2014-01-28 17:12:20 -0600

ngrennan gravatar image

Hi.

I'm trying to install the camera1394 package on my fuerte intallation on Ubuntu 12.04 but I'm running into dependency problems.

The problem is that the ros-fuerte-camera1394 package (in the ROS Ubuntu repository) depends on a package called libdc1394-22-dev. This package comes from the ROS package repository but unfortunately it conflicts with the libdc1394-22 package from the official Ubuntu repository. That package then is a dependency for a huge number (200+) of other packages so removing it is not really an option.

So my question is basically whether this is something that is being solved or is there some workaround for this?

Best regards, Stefán Freyr.

edit retag flag offensive close merge delete

Comments

I'll take a look. Sounds like a debbuild problem. It should be using the system libdc1394.

joq gravatar imagejoq ( 2012-05-16 08:18:09 -0600 )edit

I checked on my Fuerte laptop. It seems to use the system versions of libdc1394-22 and libdc1394-22-dev. I wonder what is different for you?

joq gravatar imagejoq ( 2012-05-16 08:44:02 -0600 )edit

Hi again. Sorry I seem to have misunderstood what I saw in aptitude.

StFS gravatar imageStFS ( 2012-05-16 09:54:47 -0600 )edit

So here's the deal. I just tried installing the ros-fuerte-camera1394 package using "apt-get" and everything went fine, no errors appeared. However if I open aptitude there are errors and it suggests 242 removals. After drilling down a bit it looks like the culprit is libraw1394-tools (to be contd.)

StFS gravatar imageStFS ( 2012-05-16 10:41:23 -0600 )edit

The error I'm getting is "Some dependencies of libraw1394-tools are not satisfied: libraw1394-tools breaks libraw1394-dev (<= 2.0.7-1ubuntu1)"

Is this a dependency problem in the official Ubuntu repository?

StFS gravatar imageStFS ( 2012-05-16 10:43:24 -0600 )edit

OK, it seems that this is an Ubuntu dependency problem: https://bugs.launchpad.net/ubuntu/+source/libraw1394/+bug/974504

StFS gravatar imageStFS ( 2012-05-16 11:08:39 -0600 )edit

2 Answers

Sort by » oldest newest most voted
2

answered 2012-05-16 11:10:09 -0600

StFS gravatar image

updated 2012-05-16 11:15:18 -0600

It turns out that this is actually a confirmed Ubuntu repo dependency problem: https://bugs.launchpad.net/ubuntu/+source/libraw1394/+bug/974504

Edit: It looks like this can be "resolved" by running aptitude with the -R flag and installing the ros-fuerte-camera1394 package that way. Then, aptitude will not try to install the recommended packages as well and the next time aptitude is run it will not try installing it, even though it's run without the -R option.

edit flag offensive delete link more
0

answered 2013-01-21 02:13:44 -0600

Daniel Pinyol gravatar image

You can workaround installing ubuntu 12.10's libraw1394, libraw1394-dev and libraw1394-tools packages

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-05-16 07:23:54 -0600

Seen: 721 times

Last updated: Jan 21 '13